Bug 1946320 - Incorrect error message in Deployment Attach Storage Page
Summary: Incorrect error message in Deployment Attach Storage Page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Bipul Adhikari
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-05 19:36 UTC by Bipul Adhikari
Modified: 2021-07-27 22:57 UTC (History)
4 users (show)

Fixed In Version: 4.8.0-0.nightly-2021-04-15-152737
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:57:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
scrshot of the error (23.93 KB, image/png)
2021-04-05 19:36 UTC, Bipul Adhikari
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8561 0 None open Bug 1946320: Fix empty state message for PVC dropdown 2021-04-05 19:51:37 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:57:46 UTC

Description Bipul Adhikari 2021-04-05 19:36:36 UTC
Created attachment 1769355 [details]
scrshot of the error

Description of problem:
When PVCs are not present in the namespace associated with the deployment an error. 

Version-Release number of selected component (if applicable):
4.7

How reproducible: 1/1


Steps to Reproduce:
1. Go to Deployments
2. Click Kebab; And Press Add storage

Actual results:
If no PVCs are present in the namespace, an Alert is shown with erroneous message.


Expected results:
Proper Message should be shown

Additional info:

Comment 3 Xiyun Zhao 2021-04-16 02:38:03 UTC
This bug has been verified and fixed on payload 4.8.0-0.nightly-2021-04-15-152737 

Verification Steps:
1. Go to Deployments
2. Click Kebab; And Press Add storage (make sure no PVCs is create for this namespace/project)
3. Check the message under the dropdown list of 'Select claim'
   The message should be shown as 'No PersistentVolumeClaim found'

Result:
3. The message is shown as 'No PersistentVolumeClaim found' as expected

Comment 6 errata-xmlrpc 2021-07-27 22:57:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.